From oracle-l-bounce@freelists.org  Fri Jul  9 09:37:15 2004
Return-Path: <oracle-l-bounce@freelists.org>
Received: from air189.startdedicated.com (root@localhost)
 by orafaq.com (8.11.6/8.11.6) with ESMTP id i69Eb0D14983
 for <oracle-l@orafaq.com>; Fri, 9 Jul 2004 09:37:10 -0500
X-ClientAddr: 206.53.239.180
Received: from turing.freelists.org (freelists-180.iquest.net [206.53.239.180])
 by air189.startdedicated.com (8.11.6/8.11.6) with ESMTP id i69Eao614916
 for <oracle-l@orafaq.com>; Fri, 9 Jul 2004 09:37:00 -0500
Received: from localhost (localhost [127.0.0.1])
 by turing.freelists.org (Avenir Technologies Mail Multiplex) with ESMTP
 id 8906D72C3FA; Fri,  9 Jul 2004 09:17:56 -0500 (EST)
Received: from turing.freelists.org ([127.0.0.1])
 by localhost (turing [127.0.0.1]) (amavisd-new, port 10024) with ESMTP
 id 26756-77; Fri,  9 Jul 2004 09:17:56 -0500 (EST)
Received: from turing (localhost [127.0.0.1])
 by turing.freelists.org (Avenir Technologies Mail Multiplex) with ESMTP
 id CB57872C8AD; Fri,  9 Jul 2004 09:17:55 -0500 (EST)
Received: with ECARTIS (v1.0.0; list oracle-l); Fri, 09 Jul 2004 09:16:34 -0500 (EST)
X-Original-To: oracle-l@freelists.org
Delivered-To: oracle-l@freelists.org
Received: from localhost (localhost [127.0.0.1])
 by turing.freelists.org (Avenir Technologies Mail Multiplex) with ESMTP id 4C0FC72CFFF
 for <oracle-l@freelists.org>; Fri,  9 Jul 2004 09:16:33 -0500 (EST)
Received: from turing.freelists.org ([127.0.0.1])
 by localhost (turing [127.0.0.1]) (amavisd-new, port 10024) with ESMTP
 id 26756-55 for <oracle-l@freelists.org>;
 Fri,  9 Jul 2004 09:16:33 -0500 (EST)
Received: from mail.ironmountain.co.uk (ukmksgate2.ironmountain.co.uk [193.30.233.116])
 by turing.freelists.org (Avenir Technologies Mail Multiplex) with ESMTP id 9B9E672CD97
 for <oracle-l@freelists.org>; Fri,  9 Jul 2004 09:16:32 -0500 (EST)
Received: from harsvr27.eu.ironmountain.local ([172.30.16.20]) by mail.ironmountain.co.uk with Microsoft SMTPSVC(5.0.2195.6713);
	 Fri, 9 Jul 2004 15:40:47 +0100
Received: by harsvr27.internal.haysims.co.uk with Internet Mail Service (5.5.2653.19)
 id <MVFXS7Z9>; Fri, 9 Jul 2004 15:43:13 +0100
Message-ID: <64C5AA1FF5364B409CC917BC616E8C24011EB0D9@harsvr28.internal.haysims.co.uk>
From: Lord David <DLord@ironmountain.co.uk>
To: "'oracle-l@freelists.org'" <oracle-l@freelists.org>
Subject: RE: Have you had any issues with 9.2.0.5
Date: Fri, 9 Jul 2004 15:38:16 +0100 
MIME-Version: 1.0
X-Mailer: Internet Mail Service (5.5.2653.19)
Content-type: text/plain
X-OriginalArrivalTime: 09 Jul 2004 14:40:47.0000 (UTC) FILETIME=[B8B2C180:01C465C2]
X-Virus-Scanned: by amavisd-new at freelists.org
Content-Transfer-Encoding: 8bit
X-archive-position: 4762
X-ecartis-version: Ecartis v1.0.0
Sender: oracle-l-bounce@freelists.org
Errors-To: oracle-l-bounce@freelists.org
X-original-sender: DLord@ironmountain.co.uk
Precedence: normal
Reply-To: oracle-l@freelists.org
X-list: oracle-l
X-Virus-Scanned: by amavisd-new at freelists.org

Fuad,

The bug number is 3724758.  Fortunately, there's an easy workaround, which
is to make sure that you wait until you have got everything from the
statement before you close it.  Here's the code I used to reproduce the
error: -

----
import java.io.*;
import java.lang.InterruptedException;
import java.sql.*;
import oracle.jdbc.OracleTypes;

class TestCase {
   public static void main (String args [])
      throws SQLException, IOException, InterruptedException{

      // Load the Oracle JDBC driver
      DriverManager.registerDriver(new oracle.jdbc.OracleDriver());

      // Prompt the user for connect information
      String user = "enter user here";
      String password = "password here";
      String database = "tns_alias here";

      // Connect to the database
      // You can put a database name after the @ sign in the connection URL.

      System.out.println ("Connecting...");
      Connection conn =
         DriverManager.getConnection ("jdbc:oracle:oci8:@" + database,
                                      user, password);

      System.out.println ("connected.");

      // Open a callable statement
      System.out.println("Preparing callable statement...");
      CallableStatement cs = 
         conn.prepareCall("declare"
                          + " type cv_type is ref cursor;"
                          + " l_cv cv_type;"
                          + " begin"
                          + " open l_cv for select count(*) from dual;"
                          + " :1 := l_cv;"
                          + " end;");

      // Register the out parameter
      System.out.println("Registering out parameters...");
      cs.registerOutParameter(1, OracleTypes.CURSOR);

      // Execute the statement
      System.out.println("Executing statement...");
      cs.execute();

      // Close the callable statement
      System.out.println("Closing statement...");
      cs.close();

      // Get the result set
      // Crash occurs at this point
      System.out.println("Getting result set...");
      ResultSet rs = (ResultSet) cs.getObject(1);

      // Get the result
      rs.next();
      int i = rs.getInt(1);
      System.out.println("Result is " + String.valueOf(i));

      // Close the result set
      rs.close();

      // Close the connection
      conn.close();
   }
}

--
David Lord 



> -----Original Message-----
> From: Fuad Arshad [mailto:fuadar@yahoo.com] 
> Sent: 09 July 2004 15:08
> To: oracle-l@freelists.org
> Subject: RE: Have you had any issues with 9.2.0.5
> 
> 
> can you give some examples we're having  a similar issue on 
> 9.2.0.4 and not sure 
> a bug reference.? the case scenario.?
> Lord David <DLord@ironmountain.co.uk> wrote:
> Hi,
> 
> We've run into a bug with the JDBC drivers. When trying to 
> get an object
> from a closed CallableStatement object the JVM crashes. It 
> should raise an
> error. It looks like in previous versions, you could do this 
> even though it
> is not strictly allowed.
> 
> Regards
> --
> David Lord 
This email and its attachments are confidential under applicable law and are intended for use of the sender's addressee only, unless the sender expressly agrees otherwise, or unless a separate written agreement exists between Iron Mountain and a recipient company governing communications between the parties and any data that may be so transmitted.  Transmission of email over the Internet is not a secure communications medium.  If you are requesting or have requested the transmittal of personal data, as defined in applicable privacy laws, by means of email or in an attachment to email, you may wish to select a more secure alternate means of transmittal that better supports your obligations to protect such personal data.

If the recipient of this message is not the recipient named above, and/or you have received this email in error, you must take no action based on the information in this email.  You are hereby notified that any dissemination, misuse or copying or disclosure of this communication by a recipient who has received this message in error is strictly prohibited. If this message is received in error, please return this email to the sender and immediately highlight any error in transmittal.  Thank you.

----------------------------------------------------------------
Please see the official ORACLE-L FAQ: http://www.orafaq.com
----------------------------------------------------------------
To unsubscribe send email to:  oracle-l-request@freelists.org
put 'unsubscribe' in the subject line.
--
Archives are at http://www.freelists.org/archives/oracle-l/
FAQ is at http://www.freelists.org/help/fom-serve/cache/1.html
-----------------------------------------------------------------

